package com.govmade.modules.system.service;

import java.util.Map;
import java.util.Set;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.RoleEntity;

/**
 * 系统管理 - 角色设置
 * 
 * @author 刘弈臻
 * @date 2018年8月7日
 */

public interface RoleService extends IService<RoleEntity>{
    
	/**
	 * 查看角色列表
	 */
	PageUtils queryPage(Map<String, Object> params);
	
	/**
	 * 保存或修改角色
	 */
	void save(RoleEntity role);
	
	/**
	 * 删除或批量删除角色
	 */
	void deleteBatch(Set<Long> ids);
	
	/**
	 * 角色查重
	 */
	Integer checkRole(String name);
}
